# Uses of Interface
org.apache.qpid.proton.amqp.messaging.Section

Packages that use Section
Package
Description
org.apache.qpid.proton
org.apache.qpid.proton.amqp.messaging
org.apache.qpid.proton.message
org.apache.qpid.proton.message.impl

## Uses of Section in org.apache.qpid.proton

Methods in org.apache.qpid.proton with parameters of type Section
Modifier and Type
Method
Description
`static Message`
Proton.`message(Header header, DeliveryAnnotations deliveryAnnotations, MessageAnnotations messageAnnotations, Properties properties, ApplicationProperties applicationProperties, Section body, Footer footer)`

## Uses of Section in org.apache.qpid.proton.amqp.messaging

Classes in org.apache.qpid.proton.amqp.messaging that implement Section
Modifier and Type
Class
Description
`final class`
`AmqpSequence`
`final class`
`AmqpValue`
`final class`
`ApplicationProperties`
`final class`
`Data`
`final class`
`DeliveryAnnotations`
`final class`
`Footer`
`final class`
`Header`
`final class`
`MessageAnnotations`
`final class`
`Properties`

## Uses of Section in org.apache.qpid.proton.message

Methods in org.apache.qpid.proton.message that return Section
Modifier and Type
Method
Description
`Section`
Message.`getBody()`
Methods in org.apache.qpid.proton.message with parameters of type Section
Modifier and Type
Method
Description
`static Message`
Message.Factory.`create(Header header, DeliveryAnnotations deliveryAnnotations, MessageAnnotations messageAnnotations, Properties properties, ApplicationProperties applicationProperties, Section body, Footer footer)`
`void`
Message.`setBody(Section body)`

## Uses of Section in org.apache.qpid.proton.message.impl

Methods in org.apache.qpid.proton.message.impl that return Section
Modifier and Type
Method
Description
`Section`
MessageImpl.`getBody()`
Methods in org.apache.qpid.proton.message.impl with parameters of type Section
Modifier and Type
Method
Description
`void`
MessageImpl.`setBody(Section body)`
Constructors in org.apache.qpid.proton.message.impl with parameters of type Section
Modifier
Constructor
Description
``
`MessageImpl(Header header, DeliveryAnnotations deliveryAnnotations, MessageAnnotations messageAnnotations, Properties properties, ApplicationProperties applicationProperties, Section body, Footer footer)`
Application code should instead use `Message.Factory.create(Header, DeliveryAnnotations, MessageAnnotations, Properties, ApplicationProperties, Section, Footer)`